Refactor renaming of operators/sections to fix DuplicateRecordFields bugs
ClosedPublic

Authored by adamgundry on Feb 10 2017, 3:13 PM.

Details

Summary

A variety of panics were possible because the get_op function in
RnTypes didn't handle the possibility that its argument might be an
ambiguous record field. I've made its return type more informative to
correctly handle occurrences of record fields. Fixes Trac Trac #13132.

Test Plan

new test overloadedrecflds/should_fail/T13132_duplicaterecflds

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
adamgundry created this revision.Feb 10 2017, 3:13 PM
adamgundry updated this revision to Diff 11135.Feb 13 2017, 2:49 AM
  • Add missing test result
bgamari accepted this revision.Feb 14 2017, 8:34 AM

Looks good to me.

This revision is now accepted and ready to land.Feb 14 2017, 8:34 AM
This revision was automatically updated to reflect the committed changes.